.blog-container {
  display: flex;
  background: var(--surface-primary);
  flex-direction: column;
  align-items: center;
}

.blog-content {
  display: flex;
  padding: 64px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 32px;
  width: 100%;
  max-width: 1280px;
}

.blog-search {
  max-width: 400px;
  min-width: 250px;
}

.blog-filter {
  display: flex;
  align-items: center;
  gap: 32px;
  width: 100%;

  justify-content: space-between;
}

.blog-tag-content {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 16px;
}

.blog-tag-list {
  display: flex;
  align-items: center;
  gap: 16px;
  max-width: 572px;
  overflow: hidden;
  scrollbar-width: thin;
  -ms-overflow-style: none;
  overflow-x: auto;
}

.search-dropdown {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: 400px;
  /* Adjust as needed */
  background-color: var(--surface-secondary);
  border-radius: 8px;
  padding: 8px 16px;

  /* Soft shadow */
}

.search-input::placeholder {
  color: var(--text-contrast);
}

.tag-dropdown {
  display: flex;
  width: 180px;
  padding: 8px 16px;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;

  border-radius: 99px;
  background: var(--componentes-filterbutton-primary);

  cursor: pointer;
  position: relative;
}

.blog-main-article-content {
  display: flex;
  width: 100%;
  height: 500px;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;

  overflow: hidden;
  border-radius: 16px;

  position: relative;
}

.blog-main-article-content img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.blog-main-article-box {
  position: absolute;
  display: flex;
  padding: 32px;
  align-items: center;
  gap: 32px;

  width: 100%;
  background: rgba(0, 0, 0, 0.5);

  /* O efeito de desfoque no que está ATRÁS do elemento */
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  /* Suporte para Safari */

  /* Bordas suaves e arredondadas ajudam no realismo */
  border: 1px solid rgba(255, 255, 255, 0.2);

  /* Uma sombra leve para dar profundidade */
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

.blog-main-titles {
  display: flex;
  height: fit-content;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  align-self: stretch;
  flex: 1 0 0;

  h3,
  p {
    color: var(--text-invert);

    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;

    align-self: stretch;

    overflow: hidden;

    text-overflow: ellipsis;
    text-align: start;
  }
}

.blog-list-container {
  display: grid;
  grid-column: span 3;
  /* Takes up the first 3 master columns */
  grid-template-columns: repeat(3, 1fr);
  gap: 32px;

  max-width: 1280px;
}

.blog-article {
  display: flex;
  padding: 24px;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  flex: 1 0 0;

  border-radius: 16px;
  background: var(--surface-secondary);
}

.blog-article img {
  width: 100%;
  height: 200px;
  object-fit: cover;

  border-radius: 8px;
}

.blog-tag-btn {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 16px;
}

.blog-article-tag-list {
  display: flex;
  align-items: flex-start;
  gap: 8px;
}

.tag-outline {
  display: flex;
  padding: 8px 16px;
  justify-content: center;
  align-items: center;
  gap: 8px;

  border-radius: 99px;
  border: 1px solid var(--componentes-filterbutton-primary);

  p {
    color: var(--text-invert);
  }
}

.btn-main-blog {
  display: flex;
  align-items: center;
  gap: 8px;

  h5 {
    color: var(--text-invert);
  }
}

.titles-article {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.titles-article p {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;

  overflow: hidden;

  text-overflow: ellipsis;
}

.tag-artcile-list {
  display: flex;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
  max-width: 315px;
  overflow: hidden;
  overflow-x: auto;
}

.date-btn-article {
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;
}

.tag-menu-list {
  display: none;
  position: absolute;
  top: 40px;
  right: 0;
  background: var(--surface-secondary);
  border: 1px solid var(--surface-primary);
  border-radius: 10px;
  z-index: 999;
  min-width: 160px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.tag-item {
  padding: 8px 16px;
  border-bottom: 1px solid var(--surface-primary);
}

.tag-item:nth-last-of-type() {
  border-bottom: 0px;
}

.tag-item p {
  margin: 0;
}

.sem-resultados {
  display: none;
  text-align: center;
  padding: 64px;
}
.tag-fill.active-tag,
.tag-item.active-tag {
  background-color: var( --color-neutro-30) !important;
  color: white !important;
}

/***************************************/
/*********** RESPONSIVIDADE ************/
/***************************************/

@media (max-width: 1152px) {
  .blog-content {
    gap: 24px;
    padding: 24px;
  }

  .blog-filter {
    gap: 24px;
    justify-content: flex-start;
    overflow: hidden;
    width: 100%;
  }

  .tag-dropdown {
    position: relative;
    display: none;
  }

  .blog-list-container {
    gap: 24px;
    grid-template-columns: repeat(2, 1fr);
  }

  .blog-main-titles {
    h3 {
      -webkit-line-clamp: 2;
    }
  }

  .blog-main-article-box {
    gap: 24px;
    padding: 24px;
  }
}

@media (max-width: 768px) {
  .blog-content {
    gap: 16px;
    padding: 16px;
  }

  .blog-list-container {
    gap: 16px;
    grid-template-columns: repeat(1, 1fr);
  }

  .blog-article {
    padding: 16px;
    gap: 16px;
  }

  .blog-tag-btn {
    max-width: 200px;
    overflow: hidden;
  }

  .blog-article-tag-list {
    overflow-x: auto;
    scrollbar-width: thin;

    .tag-outline {
      white-space: nowrap;
    }
  }

  .blog-main-article-content {
    height: 400px;
  }

  .blog-main-article-box {
    gap: 16px;
    padding: 16px;
  }
}

@media (max-width: 480px) {
  .blog-article-tag-list {
    display: none;
  }
}
